.control {
    z-index: 5;
    input,
    textarea,
    select {
        font-size: 1em;
        text-transform: none;
        box-sizing: border-box;
        padding: 0;
        margin: 0;
        border: 0;
        border-radius: 0;
        width: 100%;
        background-clip: padding-box;
        background: none;
        transition: border-color @duration @easing, background-color @duration @easing, color @duration @easing, opacity @duration @easing, box-shadow @duration @easing;
        -webkit-appearance: none;
        -moz-appearance: none;
        outline: none;
        &:disabled {
            opacity: 0.5;
            pointer-events: none;
        }
        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }
    }
    input {
        height: @control-height;
    }
    select {
        height: @control-height;
        padding-right: @control-height;
        &::-ms-expand {
            display: none;
        }
        &[multiple] {
            height: auto;
            min-height: @control-height;
        }

    }
    option {
        background-color: #fff;
        color: @c-title;
    }
    &_select {
        &:after {
            .beforeafter;
            top: 0;
            right: 0;
            width: @control-height;
            height: 100%;
            z-index: 10;
            pointer-events: none;
            background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" preserveAspectRatio="none" viewBox="0 0 24 24"><path d="M12 7.5q-.20527344.0017578-.35.15l-7.5 7.5q-.1482422.14472656-.15.35.0017578.20527344.15.35.14472656.1482422.35.15.20527344-.0017578.35-.15L12 8.7l7.15 7.15q.14472656.1482422.35.15.20527344-.0017578.35-.15.1482422-.14472656.15-.35-.0017578-.20527344-.15-.35l-7.5-7.5q-.14472656-.1482422-.35-.15z"/></svg>');
            background-position: center center;
            background-repeat: no-repeat;
            background-size: 24px 24px;
            transform: rotate(180deg);
            transition: transform @duration @easing;
            //.field_focus & {
            //    transform: rotate(0deg);
            //}
        }
    }
    &__icon {
        position: absolute;
        top:0;
        right:0;
        width: @control-height;
        height: @control-height;
        display: flex;
        align-self: center;
        justify-content: center;
        pointer-events: none;
    }
    &_center {
        input,
        textarea,
        select {
            text-align: center;
        }
    }
}

